Assign wallet entity
curl --request POST \
--url https://api.privy.io/v1/wallets/{wallet_id}/entity \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"id": "jorpjo4rfxj62nx1itt8y1zt",
"type": "user"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/wallets/{wallet_id}/entity")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"jorpjo4rfxj62nx1itt8y1zt\",\n \"type\": \"user\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 'jorpjo4rfxj62nx1itt8y1zt', type: 'user'})
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/entity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'jorpjo4rfxj62nx1itt8y1zt',
'type' => 'user'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/entity"
payload := strings.NewReader("{\n \"id\": \"jorpjo4rfxj62nx1itt8y1zt\",\n \"type\": \"user\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"wallet_id": "<string>",
"entity": {
"id": "jorpjo4rfxj62nx1itt8y1zt",
"type": "user"
},
"created_at": 123,
"updated_at": 123
}Wallets
Assign wallet entity
Assign a user or organization to a wallet.
POST
/
v1
/
wallets
/
{wallet_id}
/
entity
Assign wallet entity
You can assign up to 150 wallets to an organization. If the organization is already at this limit,
this endpoint returns a
409 response with the error code wallet_entity_limit_exceeded.Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the wallet.
Body
application/json
Response
200 - application/json
The wallet entity assignment.
The entity assignment for a wallet.
Unique wallet entity assignment identifier.
ID of the assigned wallet.
The entity a wallet is attributed to.
Show child attributes
Show child attributes
Example:
{
"id": "jorpjo4rfxj62nx1itt8y1zt",
"type": "user"
}
Unix timestamp when the assignment was created.
Unix timestamp when the assignment was last updated.
Was this page helpful?

